#!/bin/sh

dirname="shang"

if [ -d /usr/share/shang ]; then
   echo "directory /usr/share/shang exists. remove it? y(es)/n(o):"
   read ans
   if [ $ans = "y" ]; then
        rm -drf "/usr/share/shang"
        echo "directory /usr/share/shang removed"
   else
      t=1
      dirname="shang_${t}"

      while [ -d /usr/share/${dirname} ]; do
           t=`expr $t + 1`
           dirname="shang_${t}"
      done
      echo "run-time file directory will be /usr/share/${dirname}"
   fi;
fi

mkdir /usr/share/${dirname}
echo "directory /usr/share/${dirname} created"
mkdir /usr/share/${dirname}/share
echo "directory /usr/share/${dirname}/share created"
mkdir /usr/share/${dirname}/test
echo "directory /usr/share/${dirname}/test created"
cp share/* /usr/share/${dirname}/share
echo "help files copied"
cp test/* /usr/share/${dirname}/test
echo "library files copied"
cp -f shang /usr/local/bin
echo "executable \"shang\" copied"

mkdir -p /etc/shang_rt
echo "/usr/share/${dirname}" > /etc/shang_rt/rtpath
echo "run-time path recorded in /etc/shang_rt/rtpath"

echo "installation successful"


echo "#!/bin/sh" > uninstall.sh
echo "echo uninstall shang. Proceed? y/n" >> uninstall.sh
echo "read ans" >> uninstall.sh
echo "if [ \$ans = n ]; then" >> uninstall.sh
echo "exit 1" >> uninstall.sh
echo "fi" >> uninstall.sh

echo "rm -drf /usr/share/${dirname}" >> uninstall.sh
echo "rm -drf /etc/shang_rt" >> uninstall.sh
echo "rm -f /usr/local/bin/shang" >> uninstall.sh
echo "echo uninstallation complete" >> uninstall.sh

chmod +x uninstall.sh

echo "run uninstall.sh to un-install"
