with("plot.x");

fig = figure.new();

for k = 0 : 99
   theta = linspace(k * 2 * pi, (k + 1) * 2 * pi, 500);
   rho = exp(cos(theta)) - 2 * cos(4*theta)+sin(theta/12).^5;
   x = rho .* cos(theta);
   y = rho .* sin(theta);
   fig.plot{x=x, y=y, linetype="curve", color=rand(3)};
end

fig.style = "empty";
fig.save("butterfly.eps");
