with("plot.x");
fig = figure.new();

for k = 0 : 99
   theta = linspace(k * 2 * pi, (k + 1) * 2 * pi, 500);
   rho = exp(cos(theta)) - 2.1 * cos(6*theta)+sin(theta/30).^7;
   x = rho .* cos(theta);
   y = rho .* sin(theta);
   fig.plot{x=x, y=y, linetype="curve", color=rand(3)};
end

fig.style = "empty";
fig.save("butterfly2.eps");
