qrfac = function A -> (Q, R)
    n = A.nrows;
    nn = A.ncolumns;
    R = A;
    Q = identity(n);
    for k = 1 : n - 1
	     x = zeros(n);
        x[k:n, 1] = R[k:n, k];
        g = norm(x);
        v = x;
        v[k] = x[k] + g;
        s = norm(v);
        if s != 0
           w = v / s;
           u = 2 * R' * w;
           R = R-w * u';
           Q = Q - 2 * Q * w * w';
        end
    end
end
