
with ("plot.x");
with("interp.x");


x=1:6;
   
y=[16,18,21,17,15,12]
   
fig=figure.new();

fig.plot{x=x, y=y, linetype="circle", color=[1,0,0]};


p = interp(x, y);

size(y)
xx = linspace(0, 7, 100);
size(y)
yy = p(xx);

size(y)
fig.plot{x = xx, y = yy, linetype = "curve", color = [0, 1, 0]};

pwp = splinefit(x, y);
zz = pwp(xx);
fig.plot{x = xx, y = zz, linetype = "curve", color = [0, 0, 1]};

fig.setXrange([0, 7]);
fig.setYrange([10, 22]);


fig.save("interptest.eps");


/* another fig */

n = 8;
I = 0 : n;
x = -1 + 2/n * I;
y = 1 ./ (1 + 25 * x.^2);

p = interp(x, y);
xx = linspace(-1, 1, 100);
yy = p(xx);

fig = figure.new();
fig.plot{x = xx, y = yy, linetype = "curve", color = [0, 1, 0]};
fig.save("hump.eps");

